STRUCT DEFAULT_CO(3)

NAME
boost::proto::context::default_context - An evaluation context that gives the operators their normal C++ semantics.

SYNOPSIS

// In header: <boost/proto/context/default.hpp>
struct default_context {
  // member classes/structs/unions
  template<typename Expr, typename ThisContext = default_context const>
  struct eval :  proto::context::default_eval< Expr, ThisContext > {
  };
};

DESCRIPTION

An evaluation context that gives the operators their normal C++ semantics.